SMBIOS-WIRELESS-CTL(1)

NAME
smbios-wireless-ctl - ../src/bin/smbios-wireless-ctl

SYNOPSIS
smbios-wireless-ctl

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

--info
    Show wireless configuration (default)

--boot
    Set BIOS boot-time setting.

--no-boot
    Do not set BIOS boot-time setting.

--runtime
    Set BIOS runtime setting (default).

--no-runtime, --boot-only, --boot_only
    Do not set BIOS runtime setting.

--wlan=WLAN
    Set radio runtime status for wireless LAN

--bt=BT
    Set radio runtime status for Bluetooth

--wwan=WWAN
    Set radio runtime status for cellular (wireless WAN)

--uwb=UWB
    Set radio runtime status for UWB

--wigig=WIGIG
    Set radio runtime status for WiGig

--sw_wlan=SW_WLAN
    Set hardware switch so that it controls radio for wireless LAN

--sw_bt=SW_BT
    Set hardware switch so that it controls radio for Bluetooth

--sw_wwan=SW_WWAN
    Set hardware switch so that it controls radio for cellular (wireless WAN)

--sw_uwb=SW_UWB
    Set hardware switch so that it controls radio for UWB

--sw_wigig=SW_WIGIG
    Set hardware switch so that it controls radio for WiGig

--sw_locator=SW_LOCATOR
    Enable or disable the WIFI locator switch

--st_wlan
    Get status for wireless LAN. 0 = enabled. 1 = disabled. 2 = not present. 3 = unsupported. 4 = unknown.

--st_bt
    Get status for Bluetooth. 0 = enabled. 1 = disabled. 2 = not present. 3 = unsupported. 4 = unknown.

--st_wwan
    Get status for cellular (wireless WAN). 0 = enabled. 1 = disabled. 2 = not present. 3 = unsupported. 4 = unknown.

--st_uwb
    Get status for UWB. 0 = enabled. 1 = disabled. 2 = not present. 3 = unsupported. 4 = unknown.

--st_wigig
    Get status for WiGig. 0 = enabled. 1 = disabled. 2 = not present. 3 = unsupported. 4 = unknown.

--st_locator=ST_LOCATOR
    Get status for locator switch

-v, --verbose
    Display more verbose output.

-q, --quiet
    Minimize program output. Only errors and warnings are displayed.

--trace
    Enable verbose function tracing.

--logconfig=LOGCONFIG
    Specify alternate config log.

--security-key=SECURITY_KEY
    BIOS pre-calculated security key.

--password=PASSWORD
    BIOS Setup password for set/activate operations.

-r, --rawpassword
    Do not auto-convert password to scancodes.

--memory-dat=MEMORY_DAT
    Path to a memory dump file to use instead of real RAM

--cmos-dat=CMOS_DAT
    Path to a CMOS dump file to use instead of real CMOS

SEE ALSO
The full documentation for smbios-wireless-ctl is maintained as a Texinfo manual. If the info and smbios-wireless-ctl programs are properly installed at your site, the command

    info smbios-wireless-ctl

should give you access to the complete manual.